For the latest news and information visit The GNU Crypto project

## gnu.crypto.pad
Class WrongPaddingException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--gnu.crypto.pad.WrongPaddingException

All Implemented Interfaces:
  java.io.Serializable

public class WrongPaddingException
extends java.lang.Exception

A checked exception that indicates that a padding algorithm did not find the expected padding bytes when unpadding some data.

See Also:
  Serialized Form

Constructor Summary
`WrongPaddingException()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrongPaddingException

    public WrongPaddingException()

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.